#ifndef __MODEL_POLYLINE_H__
#define __MODEL_POLYLINE_H__

#include <string>

#include "ModelShape.h"

namespace Tn {
    
namespace openGLMap {
    
//As it stands right now, this class just provides type-safety
template <typename COORD>
class Polyline : public Shape<COORD>
{
public:
    Polyline(ShapeAttributes const & attributes) : Shape<COORD>(attributes) {}
    virtual ~Polyline() {}
    
    eShapeType Type() const { return eShapeType_POLYLINE; }
    
};
    
}// namespace openGLMap
    
}// namespace Tn

#endif // __MODEL_POLYLINE_H__

